<?php
/*
 * @package 	RSFirewall!
 * @copyright 	(c) 2009 - 2024 RSJoomla!
 * @link 		https://www.rsjoomla.com/joomla-extensions/joomla-security.html
 * @license 	GNU General Public License https://www.gnu.org/licenses/gpl-3.0.en.html
 */

defined('_JEXEC') or die;

use Joomla\CMS\Factory;
use Joomla\CMS\Session\Session;

class RSFirewallProtectionUserregistration extends RSFirewallProtection
{
	protected $reason = 'COM_RSFIREWALL_MALWARE_DETECTED';
	protected $code = 'UNAUTHORIZED_USER_REGISTRATION_ATTEMPT';
	protected $level = 'medium';

	public function isInjection()
	{
		if ($this->getOption() == 'com_users' && strtolower(Factory::getApplication()->input->getCmd('task', '')) == 'user.register')
		{
			return true;
		}

		return false;
	}
}